package dev.kske.chess.event;

import dev.kske.chess.ui.GamePane;

/**
 * Project: <strong>Chess</strong><br>
 * File: <strong>RestartEvent.java</strong><br>
 * Created: <strong>30 Oct 2019</strong><br>
 * 
 * @author Kai S. K. Engelbart
 */
public class RestartEvent implements Event<GamePane> {

	private final GamePane gamePane;

	public RestartEvent(GamePane source) { gamePane = source; }

	@Override
	public GamePane getData() { return gamePane; }
}
